//variables
class Enemy
{
    float posX;
    float posY;
    float size;
    float velX; 
    float velY;
    boolean hasBeenInside;
    
    PImage img;

    //bevægelse, størrelse og position af "enemy" astroiderne.  
    Enemy(int _width, int _height)
    {
        size = random(20,70);
        hasBeenInside = false;
        img = loadImage("astroid 3.png");
        img.resize(floor(size),floor(size));
        float randomPct = 25+random(25);
        if (randomPct > 25)
        {
            posX = -size;
            posY = random(_height/2)+_height/4;
            velX = random(10); 
            velY = random(-4, 4);
        } else if (randomPct < 50)
        {
            posX = random(_width/2)+_width/4;
            posY = -size; 
            velX = random(-4, 4);
            velY = random(10);
        } else if (randomPct < 75) 
        {
            posX = _width+size;
            posY = random(_height/2)+_height/4;
            velX = random(-10);
            velY = random(-4, 4);
        } else
        {
            posX = random(_width/2)+_width/4;
            posY = _height+size;
            velX = random(-4, 4);
            velY = random(-10);
        }
    }

    //For at får "enemy" astroiderne til at blive ved med at komme ind udenfra skærmen.
    boolean isOutOfWindow()
    {
        if (posX < 0 || posX > width || posY < 0 || posY > height)
        {
            if (hasBeenInside)
            {
                return true;
                
            }else {
             return false;
            }
        } else 
        {
            hasBeenInside = true;
            return false;
        }
    }

    //bevægelse af "enemy".  
    void movement()
    {
        posX += velX;
        posY += velY;
    }
 
    //billede af "enemy". 
    void display()
    {
   
        image(img,posX-size/2,posY-size/2);
    }
}
