//variables 
class Rocket 
{
    float posX; 
    float posY;
    float velX;
    float velY;
    int rocketHP = 3; 
    boolean isAlive = true;

    Rocket(int _width, int _height)
    {
        posX = _width/2;
        posY = _height/2;
        velX = 0;
        velY = 0;
    }

    // drawign of the rocket
    void display() 
    {
        fill(255);
        triangle(posX, posY-15, posX+10, posY+10, posX-10, posY+10);
        rocketLife();
     
    }
    
    //spillet slutter når alle tre liv ophører. 
    void rocketLife(){
        if(rocketHP <= 0){
            isAlive = false;
        }
        if(!isAlive){
            state = 2;
        }
    }
    
   // bevægelse af raketten. 
    void movement()
    {
        posX = posX+velX;
        posY = posY+velY;
        velX = velX * 0.99;
        velY = velY * 0.99;
        
        if(velX < 0.001 && velX > -0.001)
        {
         velX = 0;   
        }
        if(velY < 0.001 && velY > -0.001)
        {
         velY = 0;   
        }
    }
    
    //boolean tester om noget er sandt eller falsk. 
    //hvis raketten rammer "enemy" så er det sandt, hvis ikke er det falsk. 
    boolean collideEnemy(Enemy testEnemy)
    {
        if(dist(posX, posY, testEnemy.posX, testEnemy.posY)< testEnemy.size/2 + 11)
        {
        return true;    
        }else
        {
         return false;   
        }
    }
    
     //boolean tester om noget er sandt eller falsk. 
    //hvis raketten rammer "friend" så er det sandt, hvis ikke er det falsk.
     boolean collideFriend(Friend testFriend)
    {
        if(dist(posX, posY, testFriend.posX, testFriend.posY)< testFriend.size/2 + 11)
        {
        return true;    
        }else
        {
         return false;   
        }
    }
    

    //tast bevæeglse af rakketen. 
    void keyPressed()
    {
        if (key == CODED)
        {
            if (keyCode == UP)
            {
                velY = -5;
            } else if (keyCode == DOWN)
            {
                velY = 5;
            } else if (keyCode == LEFT)
            {
                velX = -5;
            } else if (keyCode == RIGHT) 
            {
                velX = 5;
            }
        }
    }
    
    void keyReleased()
    {
        if (key == CODED)
        {
            if (keyCode == UP)
            {
                velY = 0;
            } else if (keyCode == DOWN)
            {
                velY = 0;
            } else if (keyCode == LEFT)
            {
                velX = 0;
            } else if (keyCode == RIGHT) 
            {
                velX = 0;
            }
        }
    }
}
