class Bullet
{
    //class variabler 
    float posX; 
    float posY; 
    float velX; 
    float velY = -5; 


    //konstruktør  
    Bullet(float _posX, float _posY)
    {
        posX = _posX;
        posY = _posY;
    }

    //class funktioner 
    //bevægelse af kuglen. 
    void movement()
    {
        posX = posX + velX;
        posY = posY + velY;
    }

    //tegning af kuglen
    void display()
    {
        rect(posX, posY, 5, 10);
    }

   //kollision 
   boolean collideEnemy(Enemy testEnemy)
    {
        if (dist(posX, posY, testEnemy.posX, testEnemy.posY)< testEnemy.size/2 + 3)
        {
            return true;
        } else
        {
            return false;
        }
    }
    
    //kollision #2
   boolean collideFriend(Friend testFriend)
    {
        if (dist(posX, posY, testFriend.posX, testFriend.posY)< testFriend.size/2 + 3)
        {
            return true;
        } else
        {
            return false;
        }
    }
    //ude af vindue 
    boolean isOutOfWindow()
    {
        if (posX < 0 || posX > width || posY < 0 || posY > height)
        {
            return true;
        } else
        {
            return false;
        }
    }
}
